Name:           shezhu
Version:        1.20
Release:        1%{?dist}
Summary:        Shezhu Resource Sharing System (Generic)

Group:          Applications/Productivity
# The entire distribution is GPLv3 except dynlayer.js which is LGPLv2+ and
# helvR10.bdf which is BSD
License:        GPLv3 and LGPLv2+ and BSD
URL:            http://www.shezhu.org/
Source0:        http://www.shezhu.org/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch

BuildRequires:  perl, perl-DateManip, ImageMagick-perl
Requires:       httpd, mysql-server, perl, perl, perl-DBI, perl-DBD-MySQL
Requires(pre):  shadow-utils
Provides:       perl(config.pl), perl(font.pl), perl(mkim.pl)


%description
Shezhu Resource Sharing System (Version 1.20/31-01-2008)

Generic (Build 2008.01.31.17.17)
Supports dates from 31/01/2008 to 30/01/2009 and expires on 31/01/2009

The Shezhu Resource Sharing System (pronounced Says-Who) is an application for
scheduling and booking shared resources such as rooms and equipment. It was
developed for the School of Informatics in the University of Edinburgh.


%prep
%setup -c


%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make PREFIX=%{buildroot} install


%clean
rm -rf %{buildroot}


%pre
getent group apache >/dev/null || groupadd -r apache
getent passwd apache >/dev/null || \
useradd -r -g apache -d /var/shezhu -s /sbin/nologin \
    -c "Shezhu Resource Sharing System" apache
exit 0


%files
%defattr(-,apache,apache,-)
%doc COPYING COPYING.LESSER LICENSE TODO
%attr(-,root,root) %{_sbindir}/shezhuctl
%{_libdir}/shezhu
%{_var}/shezhu
%{_var}/run/shezhu
%{_var}/lib/shezhu
%config(noreplace) %{_sysconfdir}/shezhu

%changelog
* Thu Jan 31 2008 Tim Colles <tcolles@shezhu.org> - 1.20-1
- initial version
